> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wildcard search job's translation memories

> Wildcard-searches translation memories assigned to the job for the given workflowLevel (omit to search all levels). Deprecated -- use wildCardSearchByJob3 (/api2/v3/projects/{projectUid}/jobs/{jobUid}/transMemories/wildCardSearch).



## OpenAPI

````yaml /openapi/phrase-tms-v2.json post /api2/v2/projects/{projectUid}/jobs/{jobUid}/transMemories/wildCardSearch
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/projects/{projectUid}/jobs/{jobUid}/transMemories/wildCardSearch:
    post:
      tags:
        - Job
        - Translation Memory
      summary: Wildcard search job's translation memories
      description: >-
        Wildcard-searches translation memories assigned to the job for the given
        workflowLevel (omit to search all levels). Deprecated -- use
        wildCardSearchByJob3
        (/api2/v3/projects/{projectUid}/jobs/{jobUid}/transMemories/wildCardSearch).
      operationId: wildCardSearchByJob2
      parameters:
        - name: projectUid
          in: path
          description: Project UID
          required: true
          schema:
            type: string
        - name: jobUid
          in: path
          description: Job UID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WildCardSearchByJobRequestDtoV2'
        description: Wildcard search request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponseListTmDtoV2'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
      deprecated: true
components:
  schemas:
    WildCardSearchByJobRequestDtoV2:
      type: object
      required:
        - query
      properties:
        count:
          type: integer
          format: int32
          description: Maximum number of results to return
          minimum: 1
          maximum: 50
        offset:
          type: integer
          format: int32
          description: Index of the first result to return
        query:
          type: string
          description: Text to search for
        reverse:
          type: boolean
          description: When true, swaps source and target language for matching
        workflowLevel:
          type: integer
          format: int32
          description: Workflow step filter
          minimum: 1
          maximum: 15
    SearchResponseListTmDtoV2:
      type: object
      properties:
        searchResults:
          type: array
          description: List of translation memory search results
          items:
            $ref: '#/components/schemas/SearchTMResponseDtoV2'
    SearchTMResponseDtoV2:
      type: object
      properties:
        grossScore:
          type: number
          format: double
          description: Raw match score before penalties, in the range 0.0-1.01
        score:
          type: number
          format: double
          description: Match score after penalties, in the range 0.0-1.01
        segmentId:
          type: string
          description: Unique identifier of the matched segment
        source:
          $ref: '#/components/schemas/SearchTMResponseDtoSearchTMSegmentDtoV2'
        subSegment:
          type: boolean
          description: True if this is a sub-segment match
        transMemory:
          $ref: '#/components/schemas/SearchTMResponseDtoSearchTMTransMemoryDtoV2'
        translations:
          type: array
          description: List of translation segment data
          items:
            $ref: '#/components/schemas/SearchTMResponseDtoSearchTMSegmentDtoV2'
    SearchTMResponseDtoSearchTMSegmentDtoV2:
      type: object
      properties:
        client:
          $ref: '#/components/schemas/SearchTMResponseDtoSearchTMClientDtoV2'
        createdAt:
          type: integer
          format: int64
          description: Creation timestamp in milliseconds since epoch
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        domain:
          $ref: '#/components/schemas/SearchTMResponseDtoSearchTMDomainDtoV2'
        filename:
          type: string
          description: Name of the file the segment belongs to
        id:
          type: string
          description: Segment identifier
        key:
          type: string
          description: Segment key
        lang:
          type: string
          description: Language code of the segment
        modifiedAt:
          type: integer
          format: int64
          description: Last modification timestamp in milliseconds since epoch
        modifiedBy:
          $ref: '#/components/schemas/UserReferenceV1'
        nextSegment:
          type: string
          description: Text of the following segment
        previousSegment:
          type: string
          description: Text of the preceding segment
        project:
          $ref: '#/components/schemas/SearchTMResponseDtoSearchTMProjectDtoV2'
        rtl:
          type: boolean
          description: True if the language is right-to-left
        subDomain:
          $ref: '#/components/schemas/SearchTMResponseDtoSearchTMSubDomainDtoV2'
        tagMetadata:
          type: array
          description: Tag metadata for the segment
          items:
            $ref: '#/components/schemas/TagMetadata'
        text:
          type: string
          description: Segment text content
    SearchTMResponseDtoSearchTMTransMemoryDtoV2:
      type: object
      properties:
        id:
          type: string
          description: Internal numeric identifier of the translation memory (as string)
        name:
          type: string
          description: Name of the translation memory
        reverse:
          type: boolean
          description: True if the search used reversed source and target languages
        uid:
          type: string
          description: Unique string identifier of the translation memory
    SearchTMResponseDtoSearchTMClientDtoV2:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Numeric identifier of the client
        name:
          type: string
          description: Name of the client
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    SearchTMResponseDtoSearchTMDomainDtoV2:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Numeric identifier of the domain
        name:
          type: string
          description: Name of the domain
    SearchTMResponseDtoSearchTMProjectDtoV2:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Numeric identifier of the project
        name:
          type: string
          description: Name of the project
        uid:
          type: string
          description: Unique string identifier of the project
    SearchTMResponseDtoSearchTMSubDomainDtoV2:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Numeric identifier of the sub-domain
        name:
          type: string
          description: Name of the sub-domain
    TagMetadata:
      type: object
      properties:
        content:
          type: string
        id:
          type: string
        transAttributes:
          type: string
        type:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````